; Steel/theme.jl

(let*
  (
    (font-colors (list "grey"
                       "white"))
    
    (button-images (list (make-image "button-normal.png")
                          nil
                         (make-image "button-over.png")))
    (bottom-image (make-image "bottom.png"))
    (top-image (make-image "top.png"))
    (top-left-image (make-image "top-left.png"))
    (top-right-image (make-image "top-right.png"))
    (bottom-left-image (make-image "bottom-left.png"))
    (bottom-right-image (make-image "bottom-right.png"))
    (left-image (make-image "left.png"))
    (right-image (make-image "right.png"))

    (frame `(
        ((background . ,top-left-image)
         (top-edge . -24)
         (left-edge . -5)
         (class . title))
        ((background . ,top-image)
         (foreground . ,font-colors)
         (text . ,window-name)
         (x-justify . center)
         (y-justify . center)
         (left-edge . 9)
         (right-edge . 0)
         (top-edge . -24)
         (class . title))
        ((background . ,top-right-image)
         (right-edge . -5)
         (top-edge . -24)
         (class . title))
        ((background . ,left-image)
         (left-edge . -5)
         (top-edge . 0)
         (bottom-edge . 0)
         (class . left-border))
        ((background . ,right-image)
         (right-edge . -5)
         (top-edge . 0)
         (bottom-edge . -1)
         (class . right-border))
        ((background . ,bottom-left-image)
         (left-edge . -5)
         (bottom-edge . -6)
         (class . bottom-left-corner))
        ((background . ,bottom-image)
         (left-edge . 0)
         (right-edge .0)
         (bottom-edge . -6)
         (class . bottom-border))
        ((background . ,bottom-right-image)
         (right-edge . -5)
         (bottom-edge . -6)
         (class . bottom-right-corner))
        
        ((background . ,button-images)
         (left-edge . -5)
         (top-edge . -24)
         (class . close-button))
      ))

     (shaped-frame `(
        ((background . ,top-left-image)
         (top-edge . -24)
         (left-edge . -5)
         (class . title))
        ((background . ,top-image)
         (foreground . ,font-colors)
         (text . ,window-name)
         (x-justify . center)
         (y-justify . center)
         (left-edge . 9)
         (right-edge . 0)
         (top-edge . -24)
         (class . title))
        ((background . ,top-right-image)
         (right-edge . -5)
         (top-edge . -24)
         (class . title))
        ((background . ,bottom-left-image)
         (left-edge . -5)
         (top-edge . -5)
         (class . title))
        ((background . ,bottom-image)
         (left-edge . 0)
         (right-edge .0)
         (top-edge . -5)
         (class . title))
        ((background . ,bottom-right-image)
         (right-edge . -5)
         (top-edge . -15)
         (class . title))
        
        ((background . ,button-images)
         (left-edge . -5)
         (top-edge . -24)
         (class . close-button))
      ))
   )
      
  (add-frame-style 'Steel
    (lambda (w type)
      (cond 
            ((eq type 'shaped) shaped-frame)
            ((eq type 'shaped-transient) shaped-frame)
            ((eq type 'unframed) nil-frame)
            (t frame))))            
)
